Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

imagevariationadmin.php
Go to the documentation of this file.
1 <?php
3 //
4 // $Id: imagevariationadmin.php,v 1.3.2.2 2002/04/24 07:38:20 jhe Exp $
5 //
6 // Created on: <05-Jul-2001 14:40:06 bf>
7 //
8 // This source file is part of Exponential Basic, publishing software.
9 //
10 // Copyright (C) 1999-2001 eZ Systems. All rights reserved.
11 //
12 // This program is free software; you can redistribute it and/or
13 // modify it under the terms of the GNU General Public License
14 // as published by the Free Software Foundation; either version 2
15 // of the License, or (at your option) any later version.
16 //
17 // This program is distributed in the hope that it will be useful,
18 // but WITHOUT ANY WARRANTY; without even the implied warranty of
19 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
20 // GNU General Public License for more details.
21 //
22 // You should have received a copy of the GNU General Public License
23 // along with this program; if not, write to the Free Software
24 // Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, US
25 //
26
27 // include_once( "classes/INIFile.php" );
28 // include_once( "classes/eztemplate.php" );
29 // include_once( "classes/ezlist.php" );
30
31 $ini =& eZINI::instance( 'site.ini' );
32 $Language = $ini->variable( "eZSiteManagerMain", "Language" );
33 $Limit = $ini->variable( "eZSiteManagerMain", "AdminListLimit" );
34
35 //include_once( "ezsitemanager/classes/ezsection.php" );
36
37 $t = new eZTemplate( "kernel/ezsitemanager/admin/" . $ini->variable( "eZSiteManagerMain", "AdminTemplateDir" ),
38 "kernel/ezsitemanager/admin/" . "/intl", $Language, "imagevariationadmin.php" );
39 $t->setAllStrings();
40
41 $t->set_file( "variation_admin_tpl", "imagevariationadmin.tpl" );
42 $t->set_block( "variation_admin_tpl", "variation_results_tpl", "variation_results" );
43
44 $t->set_var( "variation_results", "" );
45 if ( isset( $ClearVariations ) )
46 {
47 // save the buffer contents
48 $buffer =& ob_get_contents();
49 ob_end_clean();
50
51 // fetch the system printout
52 ob_start();
53 if ( trim( $GLOBALS["WINDIR"] ) != "" )
54 system( $siteDir . "./bin/shell/clearvariations.bat" );
55 else
56 system( $siteDir . "./bin/shell/clearvariations.sh" );
57 $ret = ob_get_contents();
58 ob_end_clean();
59
60 // fill the buffer with the old values
61 ob_start();
62 print( $buffer );
63
64 $t->set_var( "variation_return", $ret );
65
66 $t->parse( "variation_results", "variation_results_tpl" );
67 }
68
69 $t->pparse( "output", "variation_admin_tpl" );
70
71 ?>
eZTemplate
Definition: eztemplate.php:107
$siteDir
else $siteDir
Definition: cron_alerts.php:43
$ret
$ret
Definition: ezsitemanager/admin/filelist.php:88
$Limit
$Limit
Definition: imagevariationadmin.php:33
$t
$t
Definition: imagevariationadmin.php:37
$Language
$Language
Definition: imagevariationadmin.php:32
$ini
$ini
Definition: imagevariationadmin.php:31
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.